clang-tools 6.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::misc::ValueRange Struct Reference

Stores a min and a max value which describe an interval. More...

Collaboration diagram for clang::tidy::misc::ValueRange:
[legend]

## Public Member Functions
| ValueRange (const EnumDecl *EnumDec)

## Public Attributes
llvm::APSInt | MinVal
llvm::APSInt | MaxVal

## Detailed Description

Stores a min and a max value which describe an interval.

Definition at line 37 of file SuspiciousEnumUsageCheck.cpp.

## Constructor & Destructor Documentation

## ◆ ValueRange()

clang::tidy::misc::ValueRange::ValueRange | ( | const EnumDecl * | EnumDec | ) |
| inline

Definition at line 41 of file SuspiciousEnumUsageCheck.cpp.

## Member Data Documentation

## ◆ MaxVal

llvm::APSInt clang::tidy::misc::ValueRange::MaxVal

Definition at line 39 of file SuspiciousEnumUsageCheck.cpp.

Referenced by clang::tidy::misc::hasDisjointValueRange(), and clang::tidy::misc::isPossiblyBitMask().

## ◆ MinVal

llvm::APSInt clang::tidy::misc::ValueRange::MinVal

Definition at line 38 of file SuspiciousEnumUsageCheck.cpp.

Referenced by clang::tidy::misc::hasDisjointValueRange(), and clang::tidy::misc::isPossiblyBitMask().

The documentation for this struct was generated from the following file:

- SuspiciousEnumUsageCheck.cpp